View Issue Details

IDProjectCategoryView StatusLast Update
0005120CentOS-6-OTHERpublic2011-09-18 08:14
ReporterWebTigers 
PrioritynormalSeveritymajorReproducibilityalways
Status newResolutionopen 
PlatformLinuxOSLinuxOS Version6.0
Product Version6.0 
Target VersionFixed in Version 
Summary0005120: Cannot install FreeTDS MSSQL Driver, Bad Dependency Version
DescriptionWhen attempting to install FreeTDS 0.8x, the MSSQL driver for Linux, CentOS and other distros based on CentOS, namely Scientific Linux, fail and list a non-existent dependency, which is version 1.x of the unixODBC and unixODBC-devel libraries, which are not available within the distro. Only unixODBC and unixODBC-devel are available in version 2.x.

CentOS 5.7 installs FreeTDS 0.8x flawlessly and installs the proper unixODBC 2.x and unixODBC-devel 2.x dependency.
Steps To ReproduceAttempt to install FreeTDS using YUM and the error ALWAYS appears.

# yum install freetds
Additional InformationThe work around is probably to install unixODBC and unixODBC-devel individually using YUM and then install FreeTDS with the ignore dependency switch, but I have not tried this yet.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2011-09-18 08:14 WebTigers New Issue